<?php
/**
 * basecontent-view
 *
 * Enthält verschiedene Templatetags
 * für die Basisfunktionen von basecontent.
 *
 * Klasse basecontent_view
 *
 * @package baseContent
 * @subpackage basecontent
 */
class basecontent_view extends fl_view {
	function get_target() {
		echo $this->data['from'];
	}

	function get_subtitle() {
		echo $this->get_field('subtitle');
	}

	function get_content() {
		echo $this->get_field('content');
	}

	function get_html_content() {
		$textile = new Textile();
		$html = $textile->process( $this->data['content'] );
		echo $html;
	}

	function get_all_options() {
		$federleicht = get_fl();
		$modules = &$federleicht->modules;

		foreach( $modules as $module) {
			require_once($this->modulepath.$module.'/modul.php');
			$temp_module_object = new $module($federleicht);
			$temp_module_object->get_options($modules);
			unset($temp_module_object);
		}
	}

	function get_all_starttexts() {
		$federleicht = get_fl();
		$modules = &$federleicht->modules;

		foreach( $modules as $module) {
			require_once($this->modulepath.$module.'/modul.php');
			$temp_module_object = new $module($federleicht);
			$temp_module_object->get_starttext();
			unset($temp_module_object);
		}
	}
}
?>
